%define version 1.2.3

#
# Red Hat Cluster Manager RPM spec file.
# 
Summary: Open Source HA Cluster Software for Red Hat Enterprise Linux
Name: clumanager
Version: %{version}
Release: 1
License: GPL,LGPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: chkconfig bash initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: net-tools mount /sbin/findfs
Provides: clumanager librhcm
BuildPrereq: glibc-devel ncurses-devel libxml2-devel sed bash /bin/grep


%description
Red Hat Cluster Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime. The cluster
is continuously monitored to safeguard against network, storage, and 
application failures. It provides interfaces for integration of proprietary
applications and includes native support for high availability NFS and Samba
services. 


%prep
%setup -q


%build
make purge

%ifarch x86_64
export EXTRA_CFLAGS="-DX86_64"
%endif

%ifarch s390
export EXTRA_CFLAGS="-DS390"
%endif

make


%install
DESTDIR=$RPM_BUILD_ROOT make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%config %{_sysconfdir}/init.d/clumanager
/usr/sbin/*
/usr/lib/[^d]*
/usr/include/rhcm/*
/usr/share/doc/clumanager-%{version}/*
/usr/share/doc/librhcm-%{version}/*
/usr/share/man/man3/*
/usr/share/man/man8/*
/var/lock/clumanager/*


%doc
# Nothing here yet.


%post
ldconfig


%preun
if [ $1 -eq 0 ]; then
	/sbin/service clumanager stop
	chkconfig --del clumanager
fi


%postun
ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service clumanager condrestart
fi


%changelog
* Mon Sep 15 2003 Lon Hohberger <lhh at redhat.com> 1.2.2
- Fix erroneous log message from service scripts

* Thu Sep 11 2003 Lon Hohberger <lhh at redhat.com> 1.2.1
- Tiny bugfixes re: samba behavior, clustat + clusvcadm behavior

* Tue Sep 09 2003 Lon Hohberger <lhh at redhat.com> 1.2.0
- Stable 1.2.0

* Tue Sep 09 2003 Lon Hohberger <lhh at redhat.com> 1.1.85
- Minor service manager tweak.

* Tue Sep 09 2003 Lon Hohberger <lhh at redhat.com> 1.1.84
- Architectural "Enhancements"

* Tue Sep 09 2003 Lon Hohberger <lhh at redhat.com> 1.1.83
- Misc fixes/cleanups/performance enhancements.

* Tue Sep 02 2003 Lon Hohberger <lhh at redhat.com> 1.1.82
- Fixed daemon monitoring code.  Fixed shared medium error handling.

* Tue Aug 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.81
- Raw I/O fixes.  Gettimeofday() reliance removed (where it would
cause problems previously).  Fixed daemon monitoring.  Fixed
APC MasterSwitch driver.

* Thu Aug 14 2003 Lon Hohberger <lhh at redhat.com> 1.1.80
- ppc fixes

* Thu Aug 14 2003 Lon Hohberger <lhh at redhat.com> 1.1.79-1
- Misc fixes.  Challenge-response auth added (to avoid
obvious security hole).  2-member/disk-tiebreaker fixes.

* Thu Jul 10 2003 Lon Hohberger <lhh at redhat.com> 1.1.73-1
- Failover-domain cleanups.  Relocate-on-fail cleanups.

* Mon Jul 01 2003 Lon Hohberger <lhh at redhat.com> 1.1.72-1
- Handle relocation of disabled service as 'START' in clusvcadm.

* Fri Jun 27 2003 Lon Hohberger <lhh at redhat.com> 1.1.71-1
- Addition of a cluster-wide service shutdown script, useful
for preparing large clusters (>2 nodes) for a total cluster outage.

* Fri Jun 27 2003 Lon Hohberger <lhh at redhat.com> 1.1.70-1
- Sanitized simultaneous mass-shutdown, fixed calls to syslog in
signal handlers.

* Thu Jun 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.69-1
- Changed relocate-to-same-member -> restart

* Wed Jun 25 2003 Lon Hohberger <lhh at redhat.com> 1.1.68-1
- Ethernet channel bonding integration tweaks.

* Tue Jun 24 2003 Lon Hohberger <lhh at redhat.com> 1.1.67-1
- Remove /var/run/samba/<share> and /var/cache/samba/<share> on
disabling a Samba service
- Minor pool cleanups.

* Tue Jun 24 2003 Lon Hohberger <lhh at redhat.com> 1.1.66-1
- Lock directory cleanups/fixes.
- Include example service scripts in the RPM.
- File descriptor cleanups.

* Mon Jun 23 2003 Lon Hohberger <lhh at redhat.com> 1.1.65-1
- Misc cleanups.  Fixed clustat errors.

* Fri Jun 20 2003 Lon Hohberger <lhh at redhat.com> 1.1.63-1
- Fix for STONITH devices requesing "login" for power switches
when they should have been requesting "user"

* Thu Jun 19 2003 Lon Hohberger <lhh at redhat.com> 1.1.62-1
- Rebuild fix

* Thu Jun 19 2003 Lon Hohberger <lhh at redhat.com> 1.1.61-1
- Various samba fixes.  Changed license on librhcm to LGPL.

* Tue Jun 10 2003 Lon Hohberger <lhh at redhat.com> 1.1.60-1
- clumanager.spec.in cleanup
- Fix for services shown as running when all of the members in its
restricted domain have crashed.

* Mon Jun 02 2003 Lon Hohberger <lhh at redhat.com> 1.1.59-1
- Fix for #92012 - errors when updating RPM when /etc/cluster.xml
nonexistent.  Disabled auto-editing of /etc/syslog.conf.

* Sun Jun 01 2003 Lon Hohberger <lhh at redhat.com> 1.1.58-1
- Clustat -v fix.

* Wed May 28 2003 Lon Hohberger <lhh at redhat.com> 1.1.57-1
- Samba netbios name fixup.

* Tue May 27 2003 Lon Hohberger <lhh at redhat.com> 1.1.56-1
- Fixup for service manager handling quick transitions.  Multicast
config changes.  WTI power switch enhancement.

* Mon May 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.55-1
- Misc 64-bit cleanups.

* Fri May 23 2003 Lon Hohberger <lhh at redhat.com> 1.1.53-1
- Misc cleanups, bugfix in config. code.

* Thu May 22 2003 Lon Hohberger <lhh at redhat.com> 1.1.52-1
- Allow MAC address authentication for cluster members when their IP
is hijacked by a service IP address.  Minor cleanups, beautification.

* Tue May 20 2003 Lon Hohberger <lhh at redhat.com> 1.1.51-1
- Periodic power switch checking of neighbor's power switch, reintegration
of disk tie-breaker.  Misc. bugfixes, lock split-brain fix.

* Wed May 14 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- do not include /usr/lib/debug in filelist, small spec file cleanups

* Thu May 08 2003 Lon Hohberger <lhh at redhat.com> 1.1.48-1
- Import to current CVS version.  Man pages (yay), Doxygen
cleanups, code cleanups.

* Mon May 05 2003 Lon Hohberger <lhh at redhat.com> 1.1.47-1
- Import to current CVS version.  Disk based tiebreaker ONLY.
See changelog.

* Thu May 01 2003 Lon Hohberger <lhh at redhat.com> 1.1.46-1
- Import to current CVS version.  NFS clurmtabd reintegration.
Lock fixes, cleanups, Doxygen additions.  See ChangeLog.

* Fri Apr 04 2003 Lon Hohberger <lhh at redhat.com> 1.1.36-1
- Import to CVS server.

* Sun Mar 30 2003 Lon Hohberger <lhh at redhat.com> 1.1.34-1
- Enable handling and processing of -R (restart) in
cluadmin and clusvcmgrd

* Fri Mar 28 2003 Lon Hohberger <lhh at redhat.com> 1.1.33-1
- Includes COPYING ChangeLog and ReleaseNotes

* Fri Mar 28 2003 Lon Hohberger <lhh at redhat.com> 1.1.32-1
- Various bugfixes.  See ChangeLog.

* Wed Mar 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.28-2
- Disabled building clumq demo.

* Wed Mar 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.28-1
- Rebuilt from CVS.

* Tue Mar 25 2003 Lon Hohberger <lhh at redhat.com> 1.1.27-1
- Rebuilt from CVS.

* Mon Mar 03 2003 Lon Hohberger <lhh at redhat.com> 1.1.17-1
- RPMlint fixes.

* Mon Mar 03 2003 Lon Hohberger <lhh at redhat.com> 1.1.16-1
- Change to support PANICed nodes - nodes which we failed
  to fence/power-cycle.  Fixed build problem preventing librhcm
  from getting installed properly.

* Fri Feb 28 2003 Lon Hohberger <lhh at redhat.com> 1.1.15-1
- Include development library stuff for AS-Next milestone.

* Wed Feb 26 2003 Lon Hohberger <lhh at redhat.com> 1.1.10-1
- First real RPM build!
